Package org.apache.synapse.mediators.xquery

# Class MediatorVariable

java.lang.Object
org.apache.synapse.mediators.xquery.MediatorVariable

Direct Known Subclasses:
  `MediatorBaseVariable`, `MediatorCustomVariable`

public abstract class MediatorVariable extends Object
Base class representing mediator variable used in XQuery mediator

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Object`
  `value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MediatorVariable(QName name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract boolean`
  `evaluateValue(org.apache.synapse.MessageContext synCtx)`
  Calculates the value of this variable
  `QName`
  `getName()`
  `net.sf.saxon.s9api.XdmNodeKind`
  `getNodeKind()`
  `net.sf.saxon.s9api.ItemType`
  `getType()`
  `Object`
  `getValue()`
  `void`
  `setName(QName name)`
  `void`
  `setNodeKind(net.sf.saxon.s9api.XdmNodeKind nodeKind)`
  `void`
  `setType(net.sf.saxon.s9api.ItemType type)`
  `void`
  `setValue(Object value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### value

    protected Object value

- ## Constructor Details

  - ### MediatorVariable

    public MediatorVariable(QName name)

- ## Method Details

  - ### getName

    public QName getName()

  - ### setName

    public void setName(QName name)

  - ### getType

    public net.sf.saxon.s9api.ItemType getType()

  - ### setType

    public void setType(net.sf.saxon.s9api.ItemType type)

  - ### getNodeKind

    public net.sf.saxon.s9api.XdmNodeKind getNodeKind()

  - ### setNodeKind

    public void setNodeKind(net.sf.saxon.s9api.XdmNodeKind nodeKind)

  - ### getValue

    public Object getValue()

  - ### setValue

    public void setValue(Object value)

  - ### evaluateValue

    public abstract boolean evaluateValue(org.apache.synapse.MessageContext synCtx)
    Calculates the value of this variable
    Parameters:
      `synCtx` - Current message in transit
    Returns:
      `true` if the value has changed